Bug 199032 - Properties in persistence.xml editor, general and provider specific
Properties in persistence.xml editor, general and provider specific
Status: STARTED
Product: javaee
Classification: Unclassified
Component: Persistence
7.0
All All
: P1 (vote)
: 7.1
Assigned To: Sergey Petrov
issues@javaee
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-31 12:50 UTC by Sergey Petrov
Modified: 2013-08-13 04:19 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
possible design (72.38 KB, image/png)
2011-08-03 12:39 UTC, Sergey Petrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Petrov 2011-05-31 12:50:22 UTC
Properties in persistence.xml editor, general(jpa generic) and provider specific(specific to ecliupselink etc)
Comment 1 Quality Engineering 2011-07-30 13:47:16 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/5fc85ae7ddd9
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: fix #199032 some steps to resuse properties pane and multiview support and some code from hibernate, may need to be rewriten.
Comment 2 Sergey Petrov 2011-08-03 12:39:37 UTC
Created attachment 109767 [details]
possible design

just add nb properties pane into container as well as old option. some old options may be moved to properties also.
Comment 3 Sergey Petrov 2011-08-04 11:35:13 UTC
additional design details: properties will contain set of predefined keys(dropdown) and also values as in hibernate config and may be other places.
Comment 4 Quality Engineering 2011-08-07 13:25:28 UTC
Integrated into 'main-golden', will be available in build *201108070600* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3baf15a6c342
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: fix #199032 in progress
Comment 5 Quality Engineering 2011-08-10 21:33:40 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/13edebbb9ff1
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: fix #199032 in progress,added eclipselink keys except complext one {propertyname.entytyname}, need to add values
Comment 6 Quality Engineering 2011-08-13 14:15:29 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/39beed9f5bb8
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #199032  refactor code, eclipselink 2.0 properties values are added
Comment 7 Sergey Petrov 2011-08-16 15:28:42 UTC
main feature are implemented, remaining tasks for 7.1 may be to add more content, i.e. more recognized properties and for more providers.
Comment 8 brunoborges 2013-08-13 04:19:38 UTC
Some of the new properties for JPA 2.1 (Java EE 7) like sql-load-script-source are not showing up in the persistence.xml editor.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo